:root {
  --main-background: #eff1f5;
  --deep-background: #e6e9ef;
  --main-text: #4c4f69;
  --danger-background: #dc8a78;
  --accent-background: #7287fd;
  --alternate-text: #eff1f5; /* The text color used on danger/accent backgrounds */
}

* {
  box-sizing: border-box;
}

#app,
body,
html {
  display: block;
  width: 100%;
  height: 100%;

  padding: 0px;
  margin: 0px;
}

#app {
  display: flex;
  justify-content: center;
  align-items: center;

  background: var(--deep-background);
}

#app > #content {
  font-size: 2.5rem;
  padding: 2.5rem;

  --shadow-color: var(--main-text);

  box-shadow: 0.5px 0.5px 1.5px 1.5px
    color-mix(in srgb, var(--shadow-color) 20%, transparent);
  border-radius: 8px;

  background: var(--main-background);
  color: var(--main-text);

  width: 80%;
}

#app > #content.cardConnectionFailed {
  background: var(--danger-background);
  color: var(--alternate-text);
  --shadow-color: var(--danger-background);
}

#app > #content.shopping {
  display: flex;
  flex-direction: column;
  height: 80%;

  #shopping-separator {
    width: 100%;
    color: color-mix(in srgb, var(--main-text) 10%, transparent);
  }

  #shopping-products {
    display: grid;
    align-items: center;
    grid-template-columns: max-content max-content auto auto;
    grid-auto-rows: max-content;
    grid-column-gap: 0.5rem;
    padding: 2rem;

    width: 100%;
    height: 100%;
    font-size: 2rem;
    color: color-mix(in srgb, var(--main-text) 80%, transparent);

    .shopping-item-cross-icon {
      font-size: 1.3rem;
      text-align: center;
    }

    .shopping-item-value {
      text-align: right;
    }
  }

  #shopping-total {
    display: flex;
    height: 100%;
    align-items: end;

    #shopping-total-label {
      flex-grow: 1;
    }
  }
}
